locked
Windows HPC, WCF and NET 4.0 RRS feed

  • Question

  • Hi

    I was using WCF service under Net 3.5 on computation nodes, had no problem.

    I am switching to NET 4.0. When I create a session I have an exception (This assembly is built by a runtime newer than the currently loaded runtime and cannot be loaded.)

    I do not know how to switch computation nodes to NET 4.0

     

    Thursday, March 25, 2010 3:02 PM

Answers

  • Hi,

    HPC Server 2008 WCF doesn't support .Net 4.0. That's why you got the errors.

    Liwei

    • Proposed as answer by Ray Booysen Tuesday, April 27, 2010 11:22 AM
    • Marked as answer by Don Pattee Thursday, May 6, 2010 11:42 PM
    Thursday, March 25, 2010 9:33 PM

All replies

  • Hi,

    HPC Server 2008 WCF doesn't support .Net 4.0. That's why you got the errors.

    Liwei

    • Proposed as answer by Ray Booysen Tuesday, April 27, 2010 11:22 AM
    • Marked as answer by Don Pattee Thursday, May 6, 2010 11:42 PM
    Thursday, March 25, 2010 9:33 PM
  • When it will support it ? Net 4.0 and VS 2010 should be official soon
    Thursday, March 25, 2010 10:25 PM
  • Hi,

    HPC Server 2008 WCF doesn't support .Net 4.0. That's why you got the errors.

    Liwei

    Hi Liwei

    Has this changed at all with HPC 2008 R2 Beta 2?  

    Tuesday, April 27, 2010 11:06 AM